MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023337Community[OCCT] OCCT:Data Exchangepublic2012-07-20 17:512012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023337: The 'strcmp' function returns 0 if corresponding strings are equal. (1)
DescriptionIn IGESGraph_ToolDrawingUnits.cxx, lines: 98, 101, 103, 105, 107, 109, 111, 113, 115.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023336closedPawel The 'strcmp' function returns 0 if corresponding strings are equal. 

-  Notes
(0021091)
Pawel (developer)
2012-07-20 18:00

Corresponding git branch pushed. Please review.
(0021108)
abv (manager)
2012-07-23 13:52

No remarks, please test
(0021138)
apn (administrator)
2012-07-24 14:52

Dear BugMaster,
The workbenches
KAS:dev:apn-23337-occt (GIT branch CR23337)
KAS:dev:apn-23337-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/apn-23337-products_24072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master b28f4666
Timestamp: 2012-07-20 13:59:02
Author: Pawel
Details ] Diff ]
0023337: The 'strcmp' function returns 0 if corresponding strings are equal. (1)

Checking if the return value from 'strcmp' is '0'.
mod - src/IGESGraph/IGESGraph_ToolDrawingUnits.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-20 17:51 Pawel New Issue
2012-07-20 17:51 Pawel Assigned To => Pawel
2012-07-20 17:51 Pawel Relationship added related to 0023336
2012-07-20 18:00 Pawel Note Added: 0021091
2012-07-20 18:00 Pawel Assigned To Pawel => bugmaster
2012-07-20 18:00 Pawel Status new => resolved
2012-07-23 13:52 abv Note Added: 0021108
2012-07-23 13:52 abv Status resolved => reviewed
2012-07-24 14:52 apn Note Added: 0021138
2012-07-24 14:52 apn Test case number => Not needed
2012-07-24 14:52 apn Status reviewed => tested
2012-07-30 16:31 Pawel Changeset attached => occt master b28f4666
2012-07-30 16:32 Pawel Assigned To bugmaster => Pawel
2012-07-30 16:32 Pawel Status tested => verified
2012-07-30 16:32 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker